For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetSmartQueueRealtimeMetrics
        • POSTGetSmartQueueDayHistory
        • POSTRequestSmartQueueHistory
        • POSTGetSQState
        • POSTSQ_SetAgentCustomStatusMapping
        • POSTSQ_GetAgentCustomStatusMapping
        • POSTSQ_DeleteAgentCustomStatusMapping
        • POSTSQ_AddQueue
        • POSTSQ_SetQueueInfo
        • POSTSQ_DelQueue
        • POSTSQ_GetQueues
        • POSTSQ_AddSkill
        • POSTSQ_DelSkill
        • POSTSQ_SetSkillInfo
        • POSTSQ_BindSkill
        • POSTSQ_UnbindSkill
        • POSTSQ_GetSkills
        • POSTSQ_BindAgent
        • POSTSQ_UnbindAgent
        • POSTSQ_GetAgents
        • POSTSQ_SetAgentInfo
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSmartQueue

GetSQState

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetSQState
POST
/platform_api/GetSQState
$curl -X POST "https://api.voximplant.com/platform_api/GetSQState?application_id=1&sq_queue_id=1" \
> -H "Authorization: Bearer <token>"
200SmartQueue state
1{
2 "result": [
3 {
4 "sq_queue_id": 1,
5 "sq_queue_name": "queue_name_1",
6 "sq_agents": [
7 {
8 "user_id": 1,
9 "user_name": "user-1",
10 "user_display_name": "Sylvester Stallone",
11 "sq_skills": [
12 {
13 "sq_skill_id": 1,
14 "sq_skill_name": "skill_1",
15 "sq_skill_level": 5
16 }
17 ],
18 "sq_statuses": {
19 "CALL": {
20 "from_date": "2021-05-25 12:24:44",
21 "sq_status_name": "ONLINE"
22 },
23 "IM": {
24 "from_date": "2021-05-25 12:24:44",
25 "sq_status_name": "ONLINE"
26 }
27 }
28 },
29 {
30 "user_id": 2,
31 "user_name": "user-2",
32 "user_display_name": "Chuck Norris",
33 "sq_skills": [
34 {
35 "sq_skill_id": 3,
36 "sq_skill_name": "skill_3",
37 "sq_skill_level": 2
38 }
39 ],
40 "sq_statuses": {
41 "CALL": {
42 "from_date": "2021-05-25 12:35:58",
43 "sq_status_name": "DND"
44 },
45 "IM": {
46 "from_date": "2021-05-25 12:35:58",
47 "sq_status_name": "DND"
48 }
49 }
50 },
51 {
52 "user_id": 3,
53 "user_name": "user-3",
54 "user_display_name": "Sylvester Norris",
55 "sq_skills": [],
56 "sq_statuses": {
57 "CALL": {
58 "from_date": "2021-05-25 12:32:43",
59 "sq_status_name": "DND"
60 },
61 "IM": {
62 "from_date": "2021-05-25 12:32:43",
63 "sq_status_name": "DND"
64 }
65 }
66 }
67 ],
68 "tasks": []
69 }
70 ]
71}

Gets the current state of the specified SmartQueue.

Example request: Get the current state of the SmartQueue with id = 1.

Was this page helpful?
Previous

RequestSmartQueueHistory

Next

SQ_SetAgentCustomStatusMapping

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

application_idintegerRequired
The application ID to search by
application_namestringOptional

The application name to search by. Can be used instead of the application_id parameter

sq_queue_idlist of integersRequired

The SmartQueue ID list separated by semicolons (;). Use the ‘all’ value to select all SmartQueues

sq_queue_namelist of stringsOptional

The SmartQueue name list separated by semicolons (;). Can be used instead of sq_queue_id

timezonestringOptionalDefaults to UTC

The selected timezone or the ‘auto’ value (the account location)

Response

Successful response
resultlist of objects